> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Authentication



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json post /tourbuilder/v1/tdms/token
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tourbuilder/v1/tdms/token:
    post:
      tags:
        - tdmsebs-controller
      summary: Token Authentication
      operationId: tokenUsingPOST
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                client_secret:
                  type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    TokenResponse:
      type: object
      properties:
        access_token:
          type: string
        error_description:
          type: string
        expires_in:
          type: integer
          format: int32
        scope:
          type: string
        token_type:
          type: string
      title: TokenResponse

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.